import sys
import pandas as pd
from docplex.mp.model import Model
import lightgbm as lgb
import json



par_json_file = open('pars.json','r', encoding='utf-8')
pars_dict = json.load(par_json_file)
m = Model(name='telephone_production')
desk = m.continuous_var(name='desk')
cell = m.continuous_var(name='cell')

m.add_constraint(desk >= pars_dict['desk'])
m.add_constraint(cell >= pars_dict['cell'])
ct_assembly = m.add_constraint(0.2*desk + 0.4*cell <= 400)

ct_painting = m.add_constraint(0.5*desk + 0.4*cell <=490)

m.maximize(12*desk+20*cell)
m.print_information()
m.solve()
m.print_solution()


